# Class LocalStorageHistoryController

## Index

### Methods

- debugInfo
- disable
- enable
- withoutThoseAttribute

### Properties

- disabled
- logger
- ID

### Constructors

- constructor

## Methods

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### withoutThoseAttribute

- withoutThoseAttribute(attributes: string[]): void

- - Defined in controllers/LocalStorageHistoryController.ts :54

  #### Parameters

  - ##### attributes: string[]

  #### Returns void

## Properties

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Constructors

### constructor

- new LocalStorageHistoryController(element: HTMLElement, windoh: Window, model: Model, queryController: QueryController): LocalStorageHistoryController

- - Defined in controllers/LocalStorageHistoryController.ts :21

  #### Parameters

  - ##### element: HTMLElement

  - ##### windoh: Window

  - ##### model: Model

  - ##### queryController: QueryController

  #### Returns LocalStorageHistoryController

### Hierarchy

- RootComponent

### Implements

- IHistoryManager